WKTNode (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.mysql
Class WKTNode

    java.lang.Object
      com.bbn.openmap.layer.mysql.WKTNode

    public class WKTNode

extends java.lang.Object

This class represents a Node used to construct a tree while parsing the WKT (text) representation of the Geometry. Copyright 2003 by the Author

Version:
  1.0
Author:
  Uwe Baier uwe.baier@gmx.net

Constructor Summary
`WKTNode()`

Method Summary
`void` | `adChild(WKTNode n)`
`void` | `adToGeoWKT(char[] c)` Sets the geoWKT.
`int` | `countChildren()`
`WKTNode` | `getChildByNumber(int i)`
`java.lang.String` | `getGeoWKT()` Returns the geoWKT.
`WKTNode` | `getParent()` Returns the parent.
`boolean` | `isLeaf()` Returns the leaf.
`boolean` | `isRoot()` Returns the root.
`void` | `setLeaf(boolean leaf)` Sets the leaf.
`void` | `setParent(WKTNode parent)` Sets the parent.
`void` | `setRoot(boolean root)` Sets the root.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WKTNode

    public WKTNode()

Method Detail

### getGeoWKT

    public java.lang.String getGeoWKT()

  Returns the geoWKT.

  Returns:
    String

### isLeaf

    public boolean isLeaf()

  Returns the leaf.

  Returns:
    boolean

### getParent

    public WKTNode getParent()

  Returns the parent.

  Returns:
    WKTNode

### isRoot

    public boolean isRoot()

  Returns the root.

  Returns:
    boolean

### adToGeoWKT

    public void adToGeoWKT(char[] c)

  Sets the geoWKT.

  Parameters:
    `c` - The geoWKT to set

### setLeaf

    public void setLeaf(boolean leaf)

  Sets the leaf.

  Parameters:
    `leaf` - The leaf to set

### setParent

    public void setParent(WKTNode parent)

  Sets the parent.

  Parameters:
    `parent` - The parent to set

### setRoot

    public void setRoot(boolean root)

  Sets the root.

  Parameters:
    `root` - The root to set

### countChildren

    public int countChildren()

### adChild

    public void adChild(WKTNode n)

### getChildByNumber

    public WKTNode getChildByNumber(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details